Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.util.ui
Class RegexpDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--rj.tools.util.ui.RegexpDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class RegexpDialog
extends javax.swing.JDialog

`RegexpDialog` is a dialog assisting in regexp creation

Version:
  $Revision: 1.9 $
Author:
  Ralph Jocham
See Also:
  Serialized Form

Inner Class Summary
`static class` | `RegexpDialog.RegTextArea` `RegTextArea` is a wrapped up JTextArea
`static class` | `RegexpDialog.RegTextField` `RegTextField` is a wrapped up JTextField

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`RegexpDialog()` Creates a new `RegexpDialog` instance.
`RegexpDialog(java.awt.Component parent)` Creates a new `RegexpDialog` instance.
`RegexpDialog(java.awt.Component parent, RegexpDialogTextComponent regexp, RegexpDialogTextComponent test)` Creates a new `RegexpDialog` instance.

Method Summary
`static java.lang.String` | `escapeNewLine(java.lang.String text)` `escapeNewLine` replaces \n with \\n in a string
`java.lang.String` | `getRegexp()` `getRegexp`
`java.lang.String` | `getTestString()` `getTestString`
`void` | `processWindowEvent(java.awt.event.WindowEvent e)` `processWindowEvent` - overwrited JFrame method
`static java.lang.String` | `removeCR(java.lang.String text)` `removeCR` removes all the CR within a string
`void` | `setRegexp(java.lang.String regexp)` `setRegexp`
`void` | `setTestString(java.lang.String testString)` `setTestString`
`static java.lang.String` | `unescapeNewLine(java.lang.String text)` `unescapeNewLine` replaces \\n with \n

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegexpDialog

    public RegexpDialog()

  Creates a new `RegexpDialog` instance.

### RegexpDialog

    public RegexpDialog(java.awt.Component parent)

  Creates a new `RegexpDialog` instance.
  Parameters:
    `parent` - a `Component` - the calling component; can be null

### RegexpDialog

    public RegexpDialog(java.awt.Component parent,
                        RegexpDialogTextComponent regexp,
                        RegexpDialogTextComponent test)

  Creates a new `RegexpDialog` instance.
  Parameters:
    `parent` - a `Component` - the calling component; can be null
    `regexp` - a `RegexpDialogTextComponent` value
    `test` - a `RegexpDialogTextComponent` value

Method Detail

### escapeNewLine

    public static java.lang.String escapeNewLine(java.lang.String text)

  `escapeNewLine` replaces \n with \\n in a string
  Parameters:
    `text` - a `String` value
  Returns:
    a `String` value

### unescapeNewLine

    public static java.lang.String unescapeNewLine(java.lang.String text)

  `unescapeNewLine` replaces \\n with \n
  Parameters:
    `text` - a `String` value
  Returns:
    a `String` value

### removeCR

    public static java.lang.String removeCR(java.lang.String text)

  `removeCR` removes all the CR within a string
  Parameters:
    `text` - a `String` value
  Returns:
    a `String` value

### setRegexp

    public void setRegexp(java.lang.String regexp)

  `setRegexp`
  Parameters:
    `regexp` - a `String` value

### getRegexp

    public java.lang.String getRegexp()

  `getRegexp`
  Returns:
    a `String` value

### setTestString

    public void setTestString(java.lang.String testString)

  `setTestString`
  Parameters:
    `testString` - a `String` value

### getTestString

    public java.lang.String getTestString()

  `getTestString`
  Returns:
    a `String` value

### processWindowEvent

    public void processWindowEvent(java.awt.event.WindowEvent e)

  `processWindowEvent` - overwrited JFrame method
  Overrides:
    `processWindowEvent` in class `javax.swing.JDialog`
  Parameters:
    `e` - a `WindowEvent` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License